Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453634 - RHEL5 - Fix ICQ login
Summary: RHEL5 - Fix ICQ login
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pidgin
Version: 5.2
Hardware: i386
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 453790
TreeView+ depends on / blocked
 
Reported: 2008-07-01 16:43 UTC by Heiko Adams
Modified: 2008-07-09 08:35 UTC (History)
13 users (show)

Fixed In Version: RHSA-2008-0584
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-09 08:35:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
possibly better patch (deleted)
2008-07-01 19:27 UTC, Stu Tomlinson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0584 normal SHIPPED_LIVE Important: pidgin security and bug fix update 2008-07-09 08:35:26 UTC

Description Heiko Adams 2008-07-01 16:43:53 UTC
Description of problem:
Since to day I can't connect to the icq network anymore. All attempts are stoped
by pidgin with a message box telling that the client version is too old. Pidgin
also deactivates the icq account automatically.

Version-Release number of selected component (if applicable):
pidgin.i386                              2.3.1-1.el5
libpurple.i386                           2.3.1-1.el5

How reproducible:
always

Steps to Reproduce:
1. Start pidgin
2. Create an icq account if necessary
3. Try to connect to the icq network
  
Actual results:
Pidgin doesn't connect to icq and deactivates the icq account

Expected results:
The connection should be established successfully

Additional info:

Comment 1 Warren Togami 2008-07-01 17:04:37 UTC
Even the latest version of pidgin-2.4.2 has the same issue.  It appears that
upstream is discussing what can be done about this.

Comment 2 Zdenek Kabelac 2008-07-01 17:29:55 UTC
Happens to me as well - so I'm back on the good old day, where text consoles
were working - centerim still seems to work pretty well.

AOL is playing again some 'update protocol' game...



Comment 3 Warren Togami 2008-07-01 17:44:50 UTC
This patch reportedly works on pidgin-2.4.2.  I'm doing test builds.

#
# old_revision [dba36543cdde6db127857b0edfdc3ad1969bbd39]
#
# patch "libpurple/protocols/oscar/oscar.h"
#  from [a40e3332eade975c73e344e17bd06d4b99cae751]
#    to [7853a27f5f8735092ebefef567aaeeccad2a057c]
#
============================================================
--- libpurple/protocols/oscar/oscar.h	a40e3332eade975c73e344e17bd06d4b99cae751
+++ libpurple/protocols/oscar/oscar.h	7853a27f5f8735092ebefef567aaeeccad2a057c
@@ -301,7 +301,7 @@ struct _ClientInfo
 
 #define CLIENTINFO_PURPLE_ICQ { \
 	"Purple/" VERSION, \
-	0x010a, \
+	0x010b, \
 	0x0014, 0x0034, \
 	0x0000, 0x0bb8, \
 	0x0000043d, \


Comment 4 Stu Tomlinson 2008-07-01 19:27:15 UTC
Created attachment 310710 [details]
possibly better patch

The patch in comment #3 may not be a great idea, as I think someone just
randomly changed a number and it happened to work. I've attached an updated
patch that makes us mimic the official ICQ6 client, but as this bumps the
version we report as from ICQ5 to ICQ6 I don't know if it results in other
incompatibilities.

Comment 5 Paul Bredbury 2008-07-02 00:47:17 UTC
RPMs which include http://www.pidgin.im/pidgin-2.4.2-icq6.patch as mentioned at
http://bugs.gentoo.org/show_bug.cgi?id=230389 to fix this are available at
ftp://brebs.me.uk/fedora/9/ - this involves 9 RPMs:

pidgin*
libpurple*
finch*

Comment 6 Peter Janakiev 2008-07-02 06:33:52 UTC
Thanks Paul, ICQ is working now, ICQ accounts are connecting successfully. 

Comment 7 Zdenek Kabelac 2008-07-02 07:55:06 UTC
Thanks Paul, I can confirm as well, that just forcing instalation of libpurple
made my Fedora Rawhide fc10 Pidgin fully operational again.

that was quick ;)

Just a note - the latest kopete from KDE4 seemed to be unaffected by this issue.

Comment 8 Tobias Ottmar 2008-07-02 08:53:35 UTC
The guys from pidgin have released a new version today. The last time I tried,
http://www.pidgin.im was working again, but the new version can also be found on
sourceforge. The Changelog says that the problem with ICQ is gone, see
http://developer.pidgin.im/ticket/6220

Please roll out the new version soon!

Comment 12 RHEL Product and Program Management 2008-07-02 12:29:09 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 13 Martin Jürgens 2008-07-02 12:31:13 UTC
version in koji works great. please propose it as an update asap. thanks.

Comment 14 Josh Bressers 2008-07-02 13:56:51 UTC
This is going to be fixed in a pending security update.  I'm adding the 5.2.z flag.

Comment 15 Tobias Ottmar 2008-07-02 14:23:58 UTC
Sorry if this is spam, but the problem is not only in RHEL 5, but also in Fedora
(exact: Fedora 9 i386). Do we need another ticket for Fedora? I hope not. But if
we do, could someone of you who has more knowledge about how things work here
make an appropriate bug report? (And add a reference here...) 

Thanks!

Comment 16 Martin Jürgens 2008-07-02 14:44:48 UTC
Tobias, will be in Fedora-updates shortly. You can speed up things by voting for
it on https://admin.fedoraproject.org/updates/F9/pending/pidgin-2.4.3-1.fc9 ,
there's also a download link for the RPM.

Comment 21 errata-xmlrpc 2008-07-09 08:35:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0584.html



Note You need to log in before you can comment on or make changes to this bug.